
Application: gvSIG desktop - gvSIG bugs #4413
Falla la compilacion de org.gvsig.raster.gdal
10/24/2016 08:53 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.3-2705 (rev. org.gvsig.desktop-2.0.163)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2704 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ org.gvsig.raster.gdal.io ---
[INFO] Compiling 41 source files to /home/jjdelcerro/datos/devel/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/target/classes
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR]
/home/jjdelcerro/datos/devel/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/src/main/java/org/gvsig/raster/gdal/io/GdalFilesystemServerExplorer.java:[183,4] error: cannot access Services
[INFO] 1 error
[INFO] -------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] org.gvsig.raster.gdal ............................. SUCCESS [1.538s]
[INFO] org.gvsig.raster.gdal.io .......................... FAILURE [
ServerExplorer.java:[183,4] error: cannot access Services
[INFO] 1 error
[INFO] -------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] org.gvsig.raster.gdal ............................. SUCCESS [1.538s]
[INFO] org.gvsig.raster.gdal.io .......................... FAILURE [11.535s]
[INFO] org.gvsig.raster.gdal.app ......................... SKIPPED
[INFO] org.gvsig.raster.gdal.app.mainplugin .............. SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 13.546s
[INFO] Finished at: Mon Oct 24 08:46:59 CEST 2016
[INFO] Final Memory: 28M/278M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project
org.gvsig.raster.gdal.io: Compilation failure
[ERROR]
/home/jjdelcerro/datos/devel/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/src/main/java/org/gvsig/raster/gdal/io/GdalFilesystemServerExplorer.java:[183,4] error: cannot access Services
[ERROR] -> [Help 1]

ServerExplorer.java:[183,4] error: cannot access Services
[ERROR] -> [Help 1]

El dependency:tree saca:

[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building org.gvsig.raster.gdal.io 2.2.47-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ org.gvsig.raster.gdal.io ---
[INFO] org.gvsig:org.gvsig.raster.gdal.io:jar:2.2.47-SNAPSHOT
[INFO] +- org.gdal:gdal:jar:1.11.2.2:compile
[INFO] +- org.gvsig:org.gvsig.raster.cache.lib.api:jar:2.2.9:compile
[INFO] +- org.gvsig:org.gvsig.raster.lib.api:jar:2.2.52:compile
[INFO] +- org.gvsig:org.gvsig.raster.lib.impl:jar:2.2.52:compile
[INFO] |  +- org.gvsig:org.gvsig.fmap.dal.file.shp:jar:2.0.160:compile (version managed from 2.0.146)
[INFO] |  |  +- org.gvsig:org.gvsig.fmap.dal.file.dbf:jar:2.0.160:compile
[INFO] |  |  \- org.gvsig:org.gvsig.utils:jar:2.0.160:compile
[INFO] |  |     +- org.gvsig:org.gvsig.tools.swing.api:jar:3.0.91:compile (version managed from 3.0.93)
[INFO] |  |     \- castor:castor:jar:0.9.5.3:compile
[INFO] |  +- org.gvsig:org.gvsig.jpotrace:jar:2.0.0:compile
[INFO] |  |  \- org.gvsig:org.gvsig.maven.base.tools:jar:1.0.8:compile
[INFO] |  \- org.gvsig:org.gvsig.i18n:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.metadata.lib.basic.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.remoteclient:jar:2.0.160:compile
[INFO] |  +- net.sf.kxml:kxml2:jar:2.2.2:compile
[INFO] |  +- xmlpull:xmlpull:jar:1.1.3.1:compile
[INFO] |  \- org.apache.commons:commons-lang3:jar:3.1:compile
[INFO] +- org.gvsig:org.gvsig.tools.lib:jar:3.0.91:compile
[INFO] |  +- commons-io:commons-io:jar:2.4:compile
[INFO] |  +- org.slf4j:slf4j-api:jar:1.5.5:compile
[INFO] |  \- org.slf4j:slf4j-log4j12:jar:1.5.5:runtime
[INFO] |     \- log4j:log4j:jar:1.2.14:runtime
[INFO] +- org.gvsig:org.gvsig.projection.api:jar:2.0.22:compile
[INFO] +- org.gvsig:org.gvsig.projection.cresques.impl:jar:2.0.160:runtime
[INFO] |  +- org.geotools:gt2-legacy:jar:2.2-RC2:runtime
[INFO] |  |  +- org.opengis:geoapi-legacy:jar:0.2:runtime
[INFO] |  |  +- org.geotools:gt2-coverage:jar:2.2-RC2:runtime
[INFO] |  |  +- org.geotools:gt2-render:jar:2.2-RC2:runtime
[INFO] |  |  |  \- batik:batik-transcoder:jar:1.5:runtime
[INFO] |  |  +- org.opengis:geoapi:jar:2.0:runtime
[INFO] |  |  \- javax.units:jsr108:jar:0.01:runtime
[INFO] |  +- org.geotools:gt2-main:jar:2.2.2:runtime
[INFO] |  |  +- edu.oswego:concurrent:jar:1.3.4:runtime
[INFO] |  |  +- org.geotools:gt2-api:jar:2.2.2:runtime
[INFO] |  |  \- jdom:jdom:jar:1.0:runtime
[INFO] |  +- org.geotools:gt2-referencing:jar:2.2-RC2:runtime
[INFO] |  |  +- com.vividsolutions:jts:jar:1.13:runtime (version managed from 1.7)
[INFO] |  |  \- java3d:vecmath:jar:1.3.1:runtime
[INFO] |  +- geojava:geojava:jar:unknown:runtime
[INFO] |  +- javax.media:jai_core:jar:1.1.3:runtime
[INFO] |  \- javax.media:jai_codec:jar:1.1.3:runtime
[INFO] +- org.gvsig:org.gvsig.compat.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.compat.se:jar:2.0.160:runtime (scope not updated to compile)
[INFO] +- org.gvsig:org.gvsig.fmap.dal.api:jar:2.0.160:compile
[INFO] |  \- org.gvsig:org.gvsig.timesupport.lib.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.impl:jar:2.0.160:runtime (scope not updated to compile)
[INFO] |  +- net.sf:jsi:jar:unknown:runtime
[INFO] |  +- gnu.trove:trove:jar:0.1.8:runtime
[INFO] |  \- easymock:easymockclassextension:jar:1.2:runtime
[INFO] |     +- easymock:easymock:jar:1.2_Java1.3:test (scope managed from runtime)
[INFO] |     \- cglib:cglib-nodep:jar:2.1:runtime
[INFO] +- org.gvsig:org.gvsig.fmap.dal.file.lib:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.spi:jar:2.0.160:compile
[INFO] |  \- com.google.code.gson:gson:jar:2.3.1:compile
[INFO] +- org.gvsig:org.gvsig.fmap.geometry.api:jar:2.0.160:compile
[INFO] \- junit:junit:jar:3.8.1:test
[INFO] ------------------------------------------------------------------------

Se esta usando una version antigua de org.gvsig.tools

History
#1 - 10/24/2016 02:28 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 06/11/2017 09:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
